from django.conf.urls import patterns, include, url
from django.conf.urls import *
from django.conf.urls.i18n import i18n_patterns
from django.conf import settings
from tastypie.api import Api
from emusic.api import SongResource

v1_api = Api(api_name='v1')
v1_api.register(SongResource())

# Uncomment the next two lines to enable the admin:
from django.contrib import admin
admin.autodiscover()

urlpatterns = patterns('',
    # Examples:
    # url(r'^$', 'music_store.views.home', name='home'),
    # url(r'^music_store/', include('music_store.foo.urls')),

    # Uncomment the admin/doc line below to enable admin documentation:
    # url(r'^admin/doc/', include('django.contrib.admindocs.urls')),

    # Uncomment the next line to enable the admin:
    url(r'^admin/', include(admin.site.urls)),
    
    url(r'^$', include(admin.site.urls)),
    
    # WEB Rest Api
    (r'^api/', include(v1_api.urls)),
)

if settings.DEBUG:
    urlpatterns = patterns('',
    url(r'^media/(?P<path>.*)$', 'django.views.static.serve',
        {'document_root': settings.MEDIA_ROOT, 'show_indexes': True}),
    url(r'', include('django.contrib.staticfiles.urls')),
) + urlpatterns