import os
from setuptools import setup

README = open(os.path.join(os.path.dirname(__file__), 'README.txt')).read()
REQUIREMENTS = [
                item.strip() for item in 
                open(os.path.join(os.path.dirname(__file__), 
                'requirements.txt')).readlines()
                ]


# allow setup.py to be run from any path
os.chdir(os.path.normpath(os.path.join(os.path.abspath(__file__), os.pardir)))

setup(
    name="eMusic-store",
    url="https://github.com/gvitalie/music-store",
    author="Vitalie Ghelbert",
    author_email="gvitalie@gmail.com",
    version="0.1",
    include_package_data=True,
    packages=["emusic", "music_store"],
    install_requires= REQUIREMENTS,
    license="",
    long_description=README
)
